org.eclnt.jsfserver.elements.componentnodes

## Class SOUNDNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SOUNDNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SOUNDNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOUNDNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOUNDNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SOUNDNode` | `bindComment(IDynamicContentBindingObject value)`
    `SOUNDNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SOUNDNode` | `bindSound(IDynamicContentBindingObject value)`
    `SOUNDNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SOUNDNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `SOUNDNode` | `setAdapterbinding(java.lang.String value)`
    `SOUNDNode` | `setAttributemacro(java.lang.String value)`
    `SOUNDNode` | `setComment(java.lang.String value)`
    `SOUNDNode` | `setConfiginfo(java.lang.String value)`
    `SOUNDNode` | `setId(java.lang.String value)`
    `SOUNDNode` | `setReference(java.lang.String value)`
    `SOUNDNode` | `setSound(java.lang.String value)`
    `SOUNDNode` | `setStylevariant(java.lang.String value)`
    `SOUNDNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOUNDNode

          public SOUNDNode()

  - ### Method Detail

    - #### setId

          public SOUNDNode setId(java.lang.String value)

    - #### setAdapterbinding

          public SOUNDNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SOUNDNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SOUNDNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SOUNDNode setComment(java.lang.String value)

    - #### bindComment

          public SOUNDNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SOUNDNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SOUNDNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public SOUNDNode setReference(java.lang.String value)

    - #### setSound

          public SOUNDNode setSound(java.lang.String value)

    - #### bindSound

          public SOUNDNode bindSound(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SOUNDNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SOUNDNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public SOUNDNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public SOUNDNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.